# $Revision: 1.26 $, $Date: 2007/01/01 22:21:40 $
Summary:	H.323 conferencing server
Summary(pl):	Serwer konferencji H.323
Name:		openmcu
Version:	2.1.1
%define fver	%(echo %{version} | tr . _)
Release:	3
License:	MPL 1.0
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/openh323/%{name}-v%{fver}-src-tar.gz
# Source0-md5:	db561a73bc96557b105625f2107b03ef
Patch0:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.15
BuildRequires:	pwlib-devel >= 1.10.0
%requires_eq	openh323
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A free H.323 conferencing server. Part of OpenH323 project.

%description -l pl
Darmowy serwer konferencji H.323. Cz projektu OpenH323.

%prep
%setup -q -n %{name}_v%{fver}
%patch0 -p1

%build
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	CXX="%{__cxx}" \
	OPTCCFLAGS="%{rpmcflags} -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install obj_*/%{name}	$RPM_BUILD_ROOT%{_bindir}
install %{name}.1	$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openmcu.spec,v $
Revision 1.26  2007/01/01 22:21:40  glen
- rel 3 (new pwlib soname)

Revision 1.25  2006/08/29 23:52:09  glen
- rel 2

Revision 1.24  2006/05/24 08:28:06  qboosh
- merged update to 2.1.1 from AC-branch

Revision 1.23.2.1  2006/05/18 16:07:52  baggins
- up to 2.1.1

Revision 1.23  2006/01/17 23:59:21  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.22  2005/03/27 17:24:43  qboosh
- updated to 2.1.0 - builds with openh323 1.15.3

Revision 1.21  2004/04/13 20:24:50  adamg
- release 2 to rebuild with new openh323-1.13.5 and pwlib-1.6.6

Revision 1.20  2004/04/04 01:54:41  qboosh
- updated to 2.0.3, removed obsolete update patch

Revision 1.19  2003/07/13 19:21:19  qboosh
- updated mak_files patch for new openh323
- added update patch (include update for new pwlib+openh323)
- release 2

Revision 1.18  2003/05/28 13:00:05  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:51:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/19 14:33:01  qboosh
- updated to 1.1.7

Revision 1.15  2002/11/18 00:19:47  marcus
- fixed BR

Revision 1.14  2002/11/18 00:05:21  marcus
- updated to 1.1.3

Revision 1.13  2002/10/28 10:59:49  marcus
- removed unnecessary BRs

Revision 1.12  2002/10/28 10:50:31  marcus
- use new %%doc

Revision 1.11  2002/10/28 10:41:29  marcus
- updated to 1.1.0

Revision 1.10  2002/07/09 16:45:16  marcus
- updated to 1.0.18

Revision 1.9  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/26 15:26:07  kloczek
- updated to 1.0.12 (bugfix release).

Revision 1.6  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/10 23:22:38  kloczek
- !soer BuildRequires rules.

Revision 1.4  2002/01/08 23:59:50  misiek
- updated to 1.0.11

Revision 1.3  2001/12/06 13:48:57  qboosh
- pl translations; release 2

Revision 1.2  2001/01/17 20:11:26  kloczek
- fix for building also on non-x86 archs.

Revision 1.1  2001/01/17 08:01:59  jajcus
- new spec
